/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	dbm.h,v $
 * Revision 4.2  91/09/20  05:14:32  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: dbm.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/20 05:14:32 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */
/*
 * Copyright (c) 1980 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *

 */

#ifndef _DBM_H_
#define _DBM_H_

#ifndef NULL
/*
 * this is lunacy, we no longer use it (and never should have
 * unconditionally defined it), but, this whole file is for
 * backwards compatability - someone may rely on this.
 */
#define	NULL	((char *) 0)
#endif

#include <ndbm.h>

#if _NO_PROTO
datum	fetch();
datum	firstkey();
datum	nextkey();
#else
extern datum	fetch(datum);
extern datum	firstkey(void);
extern datum	nextkey(datum);
#endif	/* _NO_PROTO */

#if 0
datum	makdatum();
datum	firsthash();
long	calchash();
long	hashinc();
#endif

#endif /* _DBM_H_ */
